Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class Configuration

    java.lang.Object
      |
      +--oracle.apps.cz.cio.Configuration

public final class Configuration
extends java.lang.Object

The top-level entry point to a configuration.

Nested Class Summary
`class` | `Configuration.UnsatisfiedRulesIterator`

Field Summary
`static int` | `ATP_CALLBACK` Represents callback ATP mode.
`static int` | `ATP_DISABLED` For the case when no valid ATP parameter combination is found.
`static int` | `CONTAINER`
`static int` | `JAVA_PRICING_MODE` Represents Java pricing
`int` | `m_sequence`
`static int` | `NORMAL`
`static int` | `PRICE_MULT_ITEMS` Represents multiple item callback pricing mode.
`static int` | `PRICE_MULT_ITEMS_MLS` Represents multiple item MLS callback pricing mode.
`static int` | `PRICE_SINGLE_ITEM` Represents single item callback pricing mode.
`static int` | `PRICING_DISABLED` For the case when no valid pricing parameter combination is found.
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static int` | `UPDATE_BEHAVIOR_ON_DEMAND`
`static int` | `UPDATE_BEHAVIOR_OVERWRITE`
`static int` | `UPDATE_BEHAVIOR_SAVE_AS`
`static int` | `UPDATE_BEHAVIOR_SAVE_NEW`
`static int` | `UPDATE_BEHAVIOR_SAVE_NEW_REV`

Method Summary
`void` | `addConfigEventListener(oracle.apps.cz.cio.IConfigEventListener listener)` Deprecated. use Configurator Extensions
`void` | `addConfigMessage(oracle.apps.cz.cio.IRuntimeNode node, java.lang.String keyword, java.lang.String message)` Adds a configuration message to be saved to the cz_config_messages table.
`void` | `addConfigMessage(java.lang.String keyword, java.lang.String message)` Deprecated. use addConfigMessage(IRuntimeNode node, String keyword, String message)
`void` | `addConfigurationEventListener(oracle.apps.cz.cio.IConfigurationEventListener listener)` Deprecated. use Configurator Extensions
`void` | `addInformationalMessage(oracle.apps.cz.cio.InformationalMessage message)`
`boolean` | `areAllChangesSaved()` Returns true if all changes made to this configuration have been saved in the database Returns false if there changes pending in this configuration that need to be saved
`oracle.apps.cz.cio.ConfigTransaction` | `beginConfigTransaction()` Creates a new transaction.
`oracle.apps.cz.cio.ConfigTransaction` | `beginConfigTransaction(boolean autoCommit)` Deprecated. Creates a new transaction and specifies the auto commit mode. Note: Users should not create a nested transaction when there are other uncommitted actions in the same transaction.
`java.util.Date` | `calculateAtpDates()` Calculates ATP dates for all IAtp nodes in the tree.
`java.lang.String` | `calculateAtpDatesMls()` Calculates and formats ATP dates for all IAtp nodes in the tree.
`void` | `calculateListPrices()` Calculates list prices of all IPrice nodes within configuration.
`void` | `calculateListPrices(com.sun.java.util.collections.List nodeList)` Calculates list prices of the given IPrice nodes within configuration.
`boolean` | `canPerform()` Returns true if there is at least one undone or not commited transaction that can be performed.
`boolean` | `canUndo()` Returns true if there are performed transactions that can be undone.
`void` | `clearConfigMessages()` Removes all configuration messages added by addConfigMessage.
`void` | `close()` Close the Configuration object and all associated runtime objects.
`void` | `commitConfigTransaction(oracle.apps.cz.cio.ConfigTransaction transaction)` Commits the given transaction if it matches with current one in the configuration.
`void` | `completeBeforeSave()` Invokes Configurator Extensions to prepare for saving the configuration
`void` | `completeBeforeSummary()` Invokes Configurator Extensions to prepare for rendering summary information
`com.sun.java.util.collections.Collection` | `dispatchEvent(oracle.apps.cz.cio.CXEvent event)` Dispatch an event which may trigger Configurator Extensions
`void` | `dumpConfigTransactions()`
`void` | `endConfigTransaction(oracle.apps.cz.cio.ConfigTransaction transaction)` Ends the given transaction if it matches with current one in the configuration.
`oracle.apps.fnd.common.Context` | `getAltPricingAtpContext()` Returns context that was added to the configuration through setAltPricingAtpContext, or null if no alternate pricing/ATP context exists.
`java.util.Date` | `getAtpDate()`
`java.text.SimpleDateFormat` | `getAtpDateFormat()` Returns a date format object that can be used to format date for UI presentation in client time zone.
`int` | `getAtpMode()` Will return the ATP mode that will be used by the configuration
`com.sun.java.util.collections.Set` | `getAvailableEventCommands()` Returns the Set of commands that can be used in a CXCommandEvent to trigger a globally bound Configurator Extension
`com.sun.java.util.collections.Map` | `getAvailableNodes(com.sun.java.util.collections.List watchedNodes)`
`oracle.apps.cz.cio.CIO` | `getCIO()` Gets the CIO that created this configuration.
`oracle.apps.cz.cio.Component` | `getComponentByItemId(long itemId)` Returns the Component corresponding to the given input ID.
`java.lang.String` | `getConfigHeaderCheckoutUser()` Gets the user who has the config header checked out.
`java.sql.Timestamp` | `getConfigHeaderDateCreated()` Gets the date when the config header was creaed.
`java.lang.String` | `getConfigHeaderDescription()` Gets the description of the config header.
`java.sql.Timestamp` | `getConfigHeaderEffectiveFrom()` Deprecated. Gets the date from which the config header is effective.
`java.sql.Timestamp` | `getConfigHeaderEffectiveTo()` Deprecated. Gets the date towhich the config header is effective.
`int` | `getConfigHeaderId()` Deprecated.
`long` | `getConfigHeaderIdLong()` Gets the id of the config header.
`java.sql.Timestamp` | `getConfigHeaderLastUpdateDate()` Gets the date when the config header was last updated.
`java.lang.String` | `getConfigHeaderName()` Gets the name of the config header.
`java.lang.String` | `getConfigHeaderNote()` Gets the note of the config header.
`int` | `getConfigHeaderNumberQuotesUsedIn()` Gets the config header number quotes used in.
`int` | `getConfigHeaderOpportunityHeaderId()` Gets the opportunity header id of the config header .
`int` | `getConfigHeaderRevision()` Deprecated.
`long` | `getConfigHeaderRevisionLong()` Gets the revision of the config header.
`java.lang.String` | `getConfigHeaderStatus()` Gets the status of the config header.
`int` | `getConfigHeaderUiDefinitionId()` Gets the UI definition id in the config header.
`int` | `getConfigHeaderUserIdCreated()` Gets the id of the user who created the config header.
`int` | `getConfigHeaderUserIDForWhomCreated()` Returns the identifier who requested creation of the configuration
`double` | `getConfigHeaderUserNum01()` Returns the UserNum01 value that is set by making a call to setConfigHeaderUserNum01() or by restoring a saved configuration (when the value returned will be the value of the UserNum01 column in cz_config_hdrs).Throws RuntimeException, NullDbColumnException if hasConfigHeaderUserNum01() returns false
`double` | `getConfigHeaderUserNum02()` Returns the UserNum02 value that is set by making a call to setConfigHeaderUserNum02() or by restoring a saved configuration (when the value returned will be the value of the UserNum02 column in cz_config_hdrs).Throws RuntimeException, NullDbColumnException if hasConfigHeaderUserNum02() returns false
`double` | `getConfigHeaderUserNum03()` Returns the UserNum03 value that is set by making a call to setConfigHeaderUserNum03() or by restoring a saved configuration (when the value returned will be the value of the UserNum03 column in cz_config_hdrs).Throws RuntimeException, NullDbColumnException if hasConfigHeaderUserNum03() returns false
`double` | `getConfigHeaderUserNum04()` Returns the UserNum04 value that is set by making a call to setConfigHeaderUserNum02() or by restoring a saved configuration (when the value returned will be the value of the UserNum04 column in cz_config_hdrs).Throws RuntimeException, NullDbColumnException if hasConfigHeaderUserNum04() returns false
`java.lang.String` | `getConfigHeaderUserStr01()` Returns the UserStr01 value that is set by making a call to setConfigHeaderUserStr01() or by restoring a saved configuration (when the value returned will be the value of the UserStr01 column in cz_config_hdrs).
`java.lang.String` | `getConfigHeaderUserStr02()` Returns the UserStr02 value that is set by making a call to setConfigHeaderUserStr02() or by restoring a saved configuration (when the value returned will be the value of the UserStr02 column in cz_config_hdrs).
`java.lang.String` | `getConfigHeaderUserStr03()` Returns the UserStr03 value that is set by making a call to setConfigHeaderUserStr03() or by restoring a saved configuration (when the value returned will be the value of the UserStr03 column in cz_config_hdrs).
`java.lang.String` | `getConfigHeaderUserStr04()` Returns the UserStr04 value that is set by making a call to setConfigHeaderUserStr04() or by restoring a saved configuration (when the value returned will be the value of the UserStr04 column in cz_config_hdrs).
`oracle.apps.cz.cio.ConfigParameters` | `getConfigParameters()` Gets the ConfigParameters object containing all the info used to create this config
`oracle.apps.fnd.common.Context` | `getContext()` Returns the Context object associated with this configuration
`java.text.DecimalFormat` | `getCurrencyFormat()` Returns the currency format object.
`com.sun.java.util.collections.Map` | `getDefaultAffectedNodes()`
`Configuration.DeltaListIterator` | `getDeltaListIterator()`
`java.util.Calendar` | `getEffectiveDate()` Gets the Effectivity Date of the config.
`int` | `getEffectiveUsageID()` Gets the Effectivity Usage ID of the config.
`com.sun.java.util.collections.Collection` | `getInformationalMessages()` Gets a collection of status info objects describing all the informational messages in the configuration.
`double` | `getInitialBomQuantity()` This method returns the initial quantity of the root BOM node The default is 0.
`com.sun.java.util.collections.List` | `getInitialRequests()` Deprecated. As of 11.5.10, use `getNonOverridableRequests()`
`oracle.apps.cz.utilities.NameValuePairSet` | `getInitParameters()` Deprecated. As of 11.5.9, use `getUserParameters`
`int` | `getInputInventoryItemId()`
`int` | `getInputOrganizationId()`
`oracle.apps.cz.cio.LogicalException` | `getLastContradiction()` Returns the most recent contradiction.
`com.sun.java.util.collections.List` | `getNonOverridableRequests()` Returns a list of Non-Overridable requests present in the configuration.
`int` | `getPricingMode()` Will return the pricing mode that will be used by the configuration
`com.sun.java.util.collections.Map` | `getPricingNotifications(boolean listPrice, boolean discountedPrice)` This is used to get the pricing notifications on all currently selected nodes in the configuration.
`int` | `getProjectID()` Gets the database ID of the project from which this configuration was created.
`oracle.apps.cz.cio.BomModel` | `getRootBomModel()` Returns the root BOM Model node, if there is associated with this configuration.
`oracle.apps.cz.cio.BomModel` | `getRootBomModel(int inventoryItemId, int organizationId)` Returns the root BOM Model node with the given inventory item ID and organization ID
`oracle.apps.cz.cio.Component` | `getRootComponent()` Gets the root product or component of the configuration.
`int` | `getRootComponentDbId()` Gets the database id of the root component.
`int` | `getRootComponentPersistentId()` Gets the persistent id of the root component.
`oracle.apps.cz.cio.IRuntimeNode` | `getRuntimeNode(int runtimeID)` Fetches a runtime node based on a runtime ID.
`com.sun.java.util.collections.List` | `getRuntimeNodes()` Fetches all runtime nodes in this configuration.
`com.sun.java.util.collections.Collection` | `getSelectedItems()` Gets a collection of status info objects describing all selected items in the configuration.
`double` | `getTotalDiscountedPrice()` Returns rolled up discounted price of the configuration.
`double` | `getTotalListPrice()` Returns rolled up list price of the configuration.
`int` | `getTransactionDepth()` Returns the number of nested transactions (depth).
`com.sun.java.util.collections.Collection` | `getUnsatisfiedItems()` Gets a collection of status info objects describing all unsatisfied items in the configuration.
`com.sun.java.util.collections.List` | `getUnsatisfiedRuleMessages()` Gets a list of messages for unsatisfied relations in the configuration
`oracle.apps.cz.cio.IUserInterface` | `getUserInterface()` Gets the IUserInterface reference assigned to this configuration.
`oracle.apps.cz.utilities.NameValuePairSet` | `getUserParameters()` Gets user-defined parameters, which are stored in a NameValuePairSet object.
`com.sun.java.util.collections.List` | `getUserRequests()` Returns a list of user requests present in the configuration.
`com.sun.java.util.collections.Collection` | `getValidationFailures()` Gets a collection of validation failures describing current problems with the configuration.
`boolean` | `hasConfigHeaderUserNum01()` Returns true if UserNum01 is not null
`boolean` | `hasConfigHeaderUserNum02()` Returns true if UserNum02 is not null
`boolean` | `hasConfigHeaderUserNum03()` Returns true if UserNum03 is not null
`boolean` | `hasConfigHeaderUserNum04()` Returns true if UserNum04 is not null
`boolean` | `hasInformationalMessages()`
`boolean` | `hasInstalledRevisions()` Returns true if this configuration has one or more instances with installed revisions
`boolean` | `hasPriceAndATPDisabled()` Returns true if neither List Prices, Selling Prices, nor ATP is enabled in the configuration session.
`boolean` | `isAtpAvailable()` Returns true if ATP is turned on in the configuration.
`boolean` | `isComplete()` Returns true if the configuation is satisfied
`boolean` | `isDiscountPricingAvailable()` Returns true if Discount price is turned on for this configuration session
`boolean` | `isExtendedPricingAvailable()` Returns true if Discount price is turned on for this configuration session
`boolean` | `isInSavePointTransaction()` Returns true if the current transaction is part of a save point transaction
`boolean` | `isListPricingAvailable()` Returns true if List pricing is turned on for this configuation session
`boolean` | `isNetworkConfiguration()` Returns true if this is a configuration on a network
`boolean` | `isPricingAvailable()` Returns true if Pricing is turned on at the configuration.
`boolean` | `isUnsatisfied()` Returns `true` if the configuration is incomplete.
`boolean` | `isValid()` Returns true if the configuation is valid
`void` | `loadModelProperties()` load all properties associated with the current model
`void` | `makeInstancesEditable(com.sun.java.util.collections.Collection instances)` Makes the collection of passed in instances editable.
`void` | `perform()` Perform the next pending transaction.
`void` | `removeConfigEventListener(oracle.apps.cz.cio.IConfigEventListener listener)` Deprecated. use Configurator Extensions
`void` | `removeConfigurationEventListener(oracle.apps.cz.cio.IConfigurationEventListener listener)` Deprecated. use Configurator Extensions
`void` | `restartConfiguration()` Restart the current configuration instance without destroying the objects
`void` | `rollbackConfigTransaction(oracle.apps.cz.cio.ConfigTransaction transaction)` Rolls back the given transaction if it matches with current one in the configuration.
`void` | `save()` Saves by overwriting a restored configuration.
`void` | `saveNew()` Saves a new configuration.
`void` | `saveNewRev()` Saves a new revision of the restored configuration.
`void` | `setAllChangesSaved(boolean clean)` Allows the client to make the configuration to be "clean" or dirty" as needed.
`void` | `setAltPricingAtpContext(oracle.apps.fnd.common.Context ctx)` If pricing and ATP information should be retrieved from an alternate Apps database, the setAltPricingAtpContext method should be called immediately after the Configuration is created.
`void` | `setConfigHeaderCheckoutUser(java.lang.String user)` Sets the user who has checked out the config header.
`void` | `setConfigHeaderDescription(java.lang.String description)` Sets the config header description.
`void` | `setConfigHeaderEffectiveFrom(java.sql.Timestamp effFrom)` Deprecated. Sets the date from which the config header is effective.
`void` | `setConfigHeaderEffectiveTo(java.sql.Timestamp effTo)` Deprecated. Sets the date to which the config header is effective.
`void` | `setConfigHeaderName(java.lang.String name)` Sets the config header name.
`void` | `setConfigHeaderNote(java.lang.String note)` Sets the config header note.
`void` | `setConfigHeaderOpportunityHeaderId(int id)` Sets the config header opportunity header id.
`void` | `setConfigHeaderUiDefinitionId(int id)` Sets the config header UI definition id.
`void` | `setConfigHeaderUserIDForWhomCreated(int userId)` Sets the identifier who requested creation of the configuration
`void` | `setConfigHeaderUserNum01(double userNum01)` Sets the value of UserNum01.The value is stored in the UserNum01 column in cz_config_hdrs table when a configuration is saved.If the value is not within +/- 9,999,999 a RuntimeException is thrown.
`void` | `setConfigHeaderUserNum02(double userNum02)` Sets the value of UserNum02.The value is stored in the UserNum02 column in cz_config_hdrs table when a configuration is saved.If the value is not within +/- 9,999,999 a RuntimeException is thrown.
`void` | `setConfigHeaderUserNum03(double userNum03)` Sets the value of UserNum03.The value is stored in the UserNum03 column in cz_config_hdrs table when a configuration is saved.If the value is not within +/- 9,999,999 a RuntimeException is thrown.
`void` | `setConfigHeaderUserNum04(double userNum04)` Sets the value of UserNum04.The value is stored in the UserNum04 column in cz_config_hdrs table when a configuration is saved.If the value is not within +/- 9,999,999 a RuntimeException is thrown.
`void` | `setConfigHeaderUserStr01(java.lang.String userStr01)` Sets the value of UserStr01.The value is stored in the UserStr01 column in cz_config_hdrs table when a configuration is saved.
`void` | `setConfigHeaderUserStr02(java.lang.String userStr02)` Sets the value of UserStr02.The value is stored in the UserStr02 column in cz_config_hdrs table when a configuration is saved.
`void` | `setConfigHeaderUserStr03(java.lang.String userStr03)` Sets the value of UserStr03.The value is stored in the UserStr03 column in cz_config_hdrs table when a configuration is saved.
`void` | `setConfigHeaderUserStr04(java.lang.String userStr04)` Sets the value of UserStr04.The value is stored in the UserStr04 column in cz_config_hdrs table when a configuration is saved.
`boolean` | `setEarlyNeighborhoodViolationDetection(boolean earlyDetect)`
`void` | `setTimeEvent(oracle.apps.cz.utilities.TimeEvent timer)` Sets the timing object this session is to work with
`void` | `undo()` Undo the previous transaction.
`void` | `updateDefaultNodes()`
`void` | `updateValidationFailure(oracle.apps.cz.cio.ValidationFailure failure)` Update the status of a validation failure.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### PRICE_MULT_ITEMS

    public static final int PRICE_MULT_ITEMS

  Represents multiple item callback pricing mode.

### PRICE_SINGLE_ITEM

    public static final int PRICE_SINGLE_ITEM

  Represents single item callback pricing mode.

### PRICE_MULT_ITEMS_MLS

    public static final int PRICE_MULT_ITEMS_MLS

  Represents multiple item MLS callback pricing mode.

### PRICING_DISABLED

    public static final int PRICING_DISABLED

  For the case when no valid pricing parameter combination is found.

### JAVA_PRICING_MODE

    public static final int JAVA_PRICING_MODE

  Represents Java pricing

### ATP_CALLBACK

    public static final int ATP_CALLBACK

  Represents callback ATP mode.

### ATP_DISABLED

    public static final int ATP_DISABLED

  For the case when no valid ATP parameter combination is found.

### m_sequence

    public final int m_sequence

### NORMAL

    public static final int NORMAL

### CONTAINER

    public static final int CONTAINER

### UPDATE_BEHAVIOR_SAVE_NEW

    public static final int UPDATE_BEHAVIOR_SAVE_NEW

### UPDATE_BEHAVIOR_SAVE_NEW_REV

    public static final int UPDATE_BEHAVIOR_SAVE_NEW_REV

### UPDATE_BEHAVIOR_SAVE_AS

    public static final int UPDATE_BEHAVIOR_SAVE_AS

### UPDATE_BEHAVIOR_OVERWRITE

    public static final int UPDATE_BEHAVIOR_OVERWRITE

### UPDATE_BEHAVIOR_ON_DEMAND

    public static final int UPDATE_BEHAVIOR_ON_DEMAND

Method Detail

### close

    public void close()

  Close the Configuration object and all associated runtime objects.

### restartConfiguration

    public void restartConfiguration()

  Restart the current configuration instance without destroying the objects

### completeBeforeSummary

    public void completeBeforeSummary()

  Invokes Configurator Extensions to prepare for rendering summary information

### completeBeforeSave

    public void completeBeforeSave()

  Invokes Configurator Extensions to prepare for saving the configuration

### save

    public void save()
              throws NoConfigHeaderException,
                     ModifiedConfigOverwriteException,
                     oracle.apps.cz.dio.ui.NoSuchUiDefException

  Saves by overwriting a restored configuration. The configuration should have been saved before this method is called to overwrite it. To save a new revision of the configuration please use saveNewRev() and to save a new copy, please use saveNew().
  Throws:
    `NoConfigHeaderException` - when this configuration hasn't been previously saved. Consider calling SaveNew().
    `ModifiedConfigOverwriteException` - when this configuration has been saved by "another user". Consider calling SaveNewRev() or SaveNew().
    `oracle.apps.cz.dio.ui.NoSuchUiDefException`

### saveNewRev

    public void saveNewRev()
                    throws NoConfigHeaderException,
                           oracle.apps.cz.dio.ui.NoSuchUiDefException

  Saves a new revision of the restored configuration. The configuration should have been saved before this method is called to save a new revision. To overwrite the currently saved configuration please use save() and to save a new copy, please use saveNew().
  Throws:
    `NoConfigHeaderException` - when this configuration hasn't been previously saved. Consider calling SaveNew().
    `oracle.apps.cz.dio.ui.NoSuchUiDefException`

### saveNew

    public void saveNew()
                 throws oracle.apps.cz.dio.ui.NoSuchUiDefException

  Saves a new configuration. If the configuration has not been saved before then this will save it. If the configuration has previously been saved, then it will save a copy of the configuration in a new header.
    `oracle.apps.cz.dio.ui.NoSuchUiDefException`

### addConfigMessage

    public void addConfigMessage(oracle.apps.cz.cio.IRuntimeNode node,
                                 java.lang.String keyword,
                                 java.lang.String message)

  Adds a configuration message to be saved to the cz_config_messages table. Messages are cleared from the Configuration object when the configuration and messages are saved.
  Parameters:
    `node` - the node on which the failure occured
    `keyword` - keyword describing the type of message, e.g. "CONTRADICTION"
    `message` - message string

### addConfigMessage

    public void addConfigMessage(java.lang.String keyword,
                                 java.lang.String message)

  Deprecated. use addConfigMessage(IRuntimeNode node, String keyword, String message)

### clearConfigMessages

    public void clearConfigMessages()

  Removes all configuration messages added by addConfigMessage.

### getContext

    public oracle.apps.fnd.common.Context getContext()

  Returns the Context object associated with this configuration

### getCIO

    public oracle.apps.cz.cio.CIO getCIO()

  Gets the CIO that created this configuration.
  Returns:
    the CIO that created this configuration.
  See Also:
    `CIO`

### getConfigParameters

    public oracle.apps.cz.cio.ConfigParameters getConfigParameters()

  Gets the ConfigParameters object containing all the info used to create this config
  Returns:
    the ConfigParameters object used to create this configuration
  See Also:
    `ConfigParameters`

### getUserInterface

    public oracle.apps.cz.cio.IUserInterface getUserInterface()

  Gets the IUserInterface reference assigned to this configuration.
  Returns:
    the IUserInterface reference assigned to this configuration.
  See Also:
    `IUserInterface`

### getRootComponent

    public oracle.apps.cz.cio.Component getRootComponent()

  Gets the root product or component of the configuration.
  Returns:
    the root product or component.
  See Also:
    `Component`, `RuntimeNode`

### getProjectID

    public int getProjectID()

  Gets the database ID of the project from which this configuration was created.
  Returns:
    the project ID.

### isUnsatisfied

    public boolean isUnsatisfied()

  Returns `true` if the configuration is incomplete.
  Returns:
    a boolean indicating whether the configuration is unsatisfied.

### getValidationFailures

    public com.sun.java.util.collections.Collection getValidationFailures()

  Gets a collection of validation failures describing current problems with the configuration.
  Returns:
    the collection of validation failures.

### getSelectedItems

    public com.sun.java.util.collections.Collection getSelectedItems()

  Gets a collection of status info objects describing all selected items in the configuration.
  Returns:
    the collection of status info objects.

### getUnsatisfiedItems

    public com.sun.java.util.collections.Collection getUnsatisfiedItems()

  Gets a collection of status info objects describing all unsatisfied items in the configuration.
  Returns:
    the collection of status info objects.

### getInformationalMessages

    public com.sun.java.util.collections.Collection getInformationalMessages()

  Gets a collection of status info objects describing all the informational messages in the configuration. These messages are created explicity by external callers or Configurator Extensions or by the CIO in response to an exception thrown by a Configurator extension
  Returns:
    the collection of status info objects.

### hasInformationalMessages

    public boolean hasInformationalMessages()

### getUnsatisfiedRuleMessages

    public com.sun.java.util.collections.List getUnsatisfiedRuleMessages()

  Gets a list of messages for unsatisfied relations in the configuration
  Returns:
    the list of unsatisfied rule messages

### getRuntimeNodes

    public com.sun.java.util.collections.List getRuntimeNodes()

  Fetches all runtime nodes in this configuration.
  Returns:
    A List of runtime nodes.

### getRuntimeNode

    public oracle.apps.cz.cio.IRuntimeNode getRuntimeNode(int runtimeID)

  Fetches a runtime node based on a runtime ID.
  Parameters:
    `runtimeID` - the runtime ID of the desired node.
  Returns:
    the corresponding runtime node.
  See Also:
    `IRuntimeNode`

### getAvailableEventCommands

    public com.sun.java.util.collections.Set getAvailableEventCommands()

  Returns the Set of commands that can be used in a CXCommandEvent to trigger a globally bound Configurator Extension

### dispatchEvent

    public com.sun.java.util.collections.Collection dispatchEvent(oracle.apps.cz.cio.CXEvent event)

  Dispatch an event which may trigger Configurator Extensions

### getAvailableNodes

    public com.sun.java.util.collections.Map getAvailableNodes(com.sun.java.util.collections.List watchedNodes)

### updateDefaultNodes

    public void updateDefaultNodes()

### getDefaultAffectedNodes

    public com.sun.java.util.collections.Map getDefaultAffectedNodes()

### beginConfigTransaction

    public oracle.apps.cz.cio.ConfigTransaction beginConfigTransaction()

  Creates a new transaction.
  Returns:
    a reference to the newly created transaction.

### beginConfigTransaction

    public oracle.apps.cz.cio.ConfigTransaction beginConfigTransaction(boolean autoCommit)

  Deprecated. Creates a new transaction and specifies the auto commit mode. Note: Users should not create a nested transaction when there are other uncommitted actions in the same transaction.
  Returns:
    a reference to the newly created transaction.

### endConfigTransaction

    public void endConfigTransaction(oracle.apps.cz.cio.ConfigTransaction transaction)
                              throws LogicalException

  Ends the given transaction if it matches with current one in the configuration.
  Parameters:
    `transaction` - A transaction reference.
    `LogicalException`

### commitConfigTransaction

    public void commitConfigTransaction(oracle.apps.cz.cio.ConfigTransaction transaction)
                                 throws LogicalException

  Commits the given transaction if it matches with current one in the configuration.
  Parameters:
    `transaction` - A transaction reference.
    `LogicalException`

### rollbackConfigTransaction

    public void rollbackConfigTransaction(oracle.apps.cz.cio.ConfigTransaction transaction)
                                   throws LogicalException

  Rolls back the given transaction if it matches with current one in the configuration.
  Parameters:
    `transaction` - A transaction reference.
    `LogicalException`

### getTransactionDepth

    public int getTransactionDepth()

  Returns the number of nested transactions (depth).
  Returns:
    the transaction depth.

### canUndo

    public boolean canUndo()

  Returns true if there are performed transactions that can be undone.

### undo

    public void undo()
              throws LogicalException

  Undo the previous transaction.
    `LogicalException`

### canPerform

    public boolean canPerform()

  Returns true if there is at least one undone or not commited transaction that can be performed.

### perform

    public void perform()
                 throws LogicalException

  Perform the next pending transaction.
    `LogicalException`

### updateValidationFailure

    public void updateValidationFailure(oracle.apps.cz.cio.ValidationFailure failure)

  Update the status of a validation failure. If the failure is already present, update its status to current, otherwise add this as a new failure.

### addInformationalMessage

    public void addInformationalMessage(oracle.apps.cz.cio.InformationalMessage message)

### getLastContradiction

    public oracle.apps.cz.cio.LogicalException getLastContradiction()

  Returns the most recent contradiction.

### setAltPricingAtpContext

    public void setAltPricingAtpContext(oracle.apps.fnd.common.Context ctx)

  If pricing and ATP information should be retrieved from an alternate Apps database, the setAltPricingAtpContext method should be called immediately after the Configuration is created.
  Parameters:
    `ctx` - Context which represents session on database from which pricing and ATP information is retrieved

### getAltPricingAtpContext

    public oracle.apps.fnd.common.Context getAltPricingAtpContext()

  Returns context that was added to the configuration through setAltPricingAtpContext, or null if no alternate pricing/ATP context exists.

### calculateListPrices

    public void calculateListPrices()
                             throws PricingUnavailableException

  Calculates list prices of all IPrice nodes within configuration. Prices are retrieved through IPrice.getListPrice.
    `PricingUnavailableException`

### calculateListPrices

    public void calculateListPrices(com.sun.java.util.collections.List nodeList)
                             throws PricingUnavailableException

  Calculates list prices of the given IPrice nodes within configuration. Prices are retrieved through IPrice.getListPrice.
    `PricingUnavailableException`

### getTotalListPrice

    public double getTotalListPrice()
                             throws PricingUnavailableException

  Returns rolled up list price of the configuration. Gets the list price of all the selected item and then rolls it up to give a running total list price.
    `PricingUnavailableException`

### getTotalDiscountedPrice

    public double getTotalDiscountedPrice()
                                   throws PricingUnavailableException

  Returns rolled up discounted price of the configuration. Discounted prices on selected items are available after this call through IPrice.getDiscountedPrice.
    `PricingUnavailableException`

### getPricingMode

    public int getPricingMode()

  Will return the pricing mode that will be used by the configuration

### calculateAtpDates

    public java.util.Date calculateAtpDates()
                                     throws AtpUnavailableException

  Calculates ATP dates for all IAtp nodes in the tree. ATP values can then be retrieved using IAtp.getAtpDate().
  Returns:
    configuration level ATP date if calculated, null if not
  Throws:
    `AtpUnavailableException` - thrown if configuration initialization parameters required to run ATP check have not all been provided

### getAtpDate

    public java.util.Date getAtpDate()
                              throws AtpUnavailableException

  Returns:
    The Rollup ATP Date for this Configuration if calculated; null if not
  Throws:
    `AtpUnavailableException` - thrown if configuration initialization parameters required to run ATP check have not all been provided

### calculateAtpDatesMls

    public java.lang.String calculateAtpDatesMls()
                                          throws AtpUnavailableException

  Calculates and formats ATP dates for all IAtp nodes in the tree. ATP values can then be retrieved using IAtp.getFormattedAtpDate().
  Returns:
    formatted configuration level ATP date string if calculated, null if not
  Throws:
    `AtpUnavailableException` - thrown if configuration initialization parameters required to run ATP check have not all been provided

### getAtpDateFormat

    public java.text.SimpleDateFormat getAtpDateFormat()

  Returns a date format object that can be used to format date for UI presentation in client time zone.

### getAtpMode

    public int getAtpMode()

  Will return the ATP mode that will be used by the configuration

### getRootBomModel

    public oracle.apps.cz.cio.BomModel getRootBomModel(int inventoryItemId,
                                                       int organizationId)

  Returns the root BOM Model node with the given inventory item ID and organization ID

### getRootBomModel

    public oracle.apps.cz.cio.BomModel getRootBomModel()

  Returns the root BOM Model node, if there is associated with this configuration.

### setConfigHeaderUiDefinitionId

    public void setConfigHeaderUiDefinitionId(int id)
                                       throws oracle.apps.cz.dio.ui.NoSuchUiDefException

  Sets the config header UI definition id.
    `oracle.apps.cz.dio.ui.NoSuchUiDefException`

### setConfigHeaderOpportunityHeaderId

    public void setConfigHeaderOpportunityHeaderId(int id)

  Sets the config header opportunity header id.

### setConfigHeaderName

    public void setConfigHeaderName(java.lang.String name)

  Sets the config header name.

### setConfigHeaderDescription

    public void setConfigHeaderDescription(java.lang.String description)

  Sets the config header description.

### setConfigHeaderNote

    public void setConfigHeaderNote(java.lang.String note)

  Sets the config header note.

### setConfigHeaderCheckoutUser

    public void setConfigHeaderCheckoutUser(java.lang.String user)

  Sets the user who has checked out the config header.

### setConfigHeaderEffectiveFrom

    public void setConfigHeaderEffectiveFrom(java.sql.Timestamp effFrom)

  Deprecated. Sets the date from which the config header is effective.

### setConfigHeaderEffectiveTo

    public void setConfigHeaderEffectiveTo(java.sql.Timestamp effTo)

  Deprecated. Sets the date to which the config header is effective.

### setConfigHeaderUserIDForWhomCreated

    public void setConfigHeaderUserIDForWhomCreated(int userId)

  Sets the identifier who requested creation of the configuration

### getConfigHeaderUserIDForWhomCreated

    public int getConfigHeaderUserIDForWhomCreated()

  Returns the identifier who requested creation of the configuration

### setConfigHeaderUserNum01

    public void setConfigHeaderUserNum01(double userNum01)

  Sets the value of UserNum01.The value is stored in the UserNum01 column in cz_config_hdrs table when a configuration is saved.If the value is not within +/- 9,999,999 a RuntimeException is thrown.
  Throws:
    `java.lang.RuntimeException` - if value is not within +/- 9,999,999

### getConfigHeaderUserNum01

    public double getConfigHeaderUserNum01()

  Returns the UserNum01 value that is set by making a call to setConfigHeaderUserNum01() or by restoring a saved configuration (when the value returned will be the value of the UserNum01 column in cz_config_hdrs).Throws RuntimeException, NullDbColumnException if hasConfigHeaderUserNum01() returns false
  Throws:
    `RuntimeException,` - NullDbColumnException if hasConfigHeaderUserNum01() returns false
  See Also:
    `setConfigHeaderUserNum01(double)`, `hasConfigHeaderUserNum01()`

### hasConfigHeaderUserNum01

    public boolean hasConfigHeaderUserNum01()

  Returns true if UserNum01 is not null

### setConfigHeaderUserNum02

    public void setConfigHeaderUserNum02(double userNum02)

  Sets the value of UserNum02.The value is stored in the UserNum02 column in cz_config_hdrs table when a configuration is saved.If the value is not within +/- 9,999,999 a RuntimeException is thrown.
  Throws:
    `java.lang.RuntimeException` - if value is not within +/- 9,999,999

### getConfigHeaderUserNum02

    public double getConfigHeaderUserNum02()

  Returns the UserNum02 value that is set by making a call to setConfigHeaderUserNum02() or by restoring a saved configuration (when the value returned will be the value of the UserNum02 column in cz_config_hdrs).Throws RuntimeException, NullDbColumnException if hasConfigHeaderUserNum02() returns false
  Throws:
    `RuntimeException,` - NullDbColumnException if hasConfigHeaderUserNum01() returns false
  See Also:
    `setConfigHeaderUserNum02(double)`, `hasConfigHeaderUserNum02()`

### hasConfigHeaderUserNum02

    public boolean hasConfigHeaderUserNum02()

  Returns true if UserNum02 is not null

### setConfigHeaderUserNum03

    public void setConfigHeaderUserNum03(double userNum03)

  Sets the value of UserNum03.The value is stored in the UserNum03 column in cz_config_hdrs table when a configuration is saved.If the value is not within +/- 9,999,999 a RuntimeException is thrown.
  Throws:
    `java.lang.RuntimeException` - if value is not within +/- 9,999,999

### getConfigHeaderUserNum03

    public double getConfigHeaderUserNum03()

  Returns the UserNum03 value that is set by making a call to setConfigHeaderUserNum03() or by restoring a saved configuration (when the value returned will be the value of the UserNum03 column in cz_config_hdrs).Throws RuntimeException, NullDbColumnException if hasConfigHeaderUserNum03() returns false
  Throws:
    `RuntimeException,` - NullDbColumnException if hasConfigHeaderUserNum01() returns false
  See Also:
    `setConfigHeaderUserNum03(double)`, `hasConfigHeaderUserNum03()`

### hasConfigHeaderUserNum03

    public boolean hasConfigHeaderUserNum03()

  Returns true if UserNum03 is not null

### setConfigHeaderUserNum04

    public void setConfigHeaderUserNum04(double userNum04)

  Sets the value of UserNum04.The value is stored in the UserNum04 column in cz_config_hdrs table when a configuration is saved.If the value is not within +/- 9,999,999 a RuntimeException is thrown.
  Throws:
    `java.lang.RuntimeException` - if value is not within +/- 9,999,999

### getConfigHeaderUserNum04

    public double getConfigHeaderUserNum04()

  Returns the UserNum04 value that is set by making a call to setConfigHeaderUserNum02() or by restoring a saved configuration (when the value returned will be the value of the UserNum04 column in cz_config_hdrs).Throws RuntimeException, NullDbColumnException if hasConfigHeaderUserNum04() returns false
  Throws:
    `RuntimeException,` - NullDbColumnException if hasConfigHeaderUserNum01() returns false
  See Also:
    `setConfigHeaderUserNum04(double)`, `hasConfigHeaderUserNum04()`

### hasConfigHeaderUserNum04

    public boolean hasConfigHeaderUserNum04()

  Returns true if UserNum04 is not null

### setConfigHeaderUserStr01

    public void setConfigHeaderUserStr01(java.lang.String userStr01)

  Sets the value of UserStr01.The value is stored in the UserStr01 column in cz_config_hdrs table when a configuration is saved.

### getConfigHeaderUserStr01

    public java.lang.String getConfigHeaderUserStr01()

  Returns the UserStr01 value that is set by making a call to setConfigHeaderUserStr01() or by restoring a saved configuration (when the value returned will be the value of the UserStr01 column in cz_config_hdrs).
  See Also:
    `setConfigHeaderUserStr01(java.lang.String)`

### setConfigHeaderUserStr02

    public void setConfigHeaderUserStr02(java.lang.String userStr02)

  Sets the value of UserStr02.The value is stored in the UserStr02 column in cz_config_hdrs table when a configuration is saved.

### getConfigHeaderUserStr02

    public java.lang.String getConfigHeaderUserStr02()

  Returns the UserStr02 value that is set by making a call to setConfigHeaderUserStr02() or by restoring a saved configuration (when the value returned will be the value of the UserStr02 column in cz_config_hdrs).
  See Also:
    `setConfigHeaderUserStr02(java.lang.String)`

### setConfigHeaderUserStr03

    public void setConfigHeaderUserStr03(java.lang.String userStr03)

  Sets the value of UserStr03.The value is stored in the UserStr03 column in cz_config_hdrs table when a configuration is saved.

### getConfigHeaderUserStr03

    public java.lang.String getConfigHeaderUserStr03()

  Returns the UserStr03 value that is set by making a call to setConfigHeaderUserStr03() or by restoring a saved configuration (when the value returned will be the value of the UserStr03 column in cz_config_hdrs).
  See Also:
    `setConfigHeaderUserStr03(java.lang.String)`

### setConfigHeaderUserStr04

    public void setConfigHeaderUserStr04(java.lang.String userStr04)

  Sets the value of UserStr04.The value is stored in the UserStr04 column in cz_config_hdrs table when a configuration is saved.

### getConfigHeaderUserStr04

    public java.lang.String getConfigHeaderUserStr04()

  Returns the UserStr04 value that is set by making a call to setConfigHeaderUserStr04() or by restoring a saved configuration (when the value returned will be the value of the UserStr04 column in cz_config_hdrs).
  See Also:
    `setConfigHeaderUserStr04(java.lang.String)`

### getConfigHeaderId

    public int getConfigHeaderId()

  Deprecated.
  Gets the id of the config header.
  Returns:
    the config header id.
  See Also:
    `oracle.apps.cz.cio.Configuration.getConfigHeaderIdLong`

### getConfigHeaderIdLong

    public long getConfigHeaderIdLong()

  Gets the id of the config header.
  Returns:
    the long config header id.

### getConfigHeaderRevisionLong

    public long getConfigHeaderRevisionLong()

  Gets the revision of the config header.
  Returns:
    the config header revision.

### getConfigHeaderRevision

    public int getConfigHeaderRevision()

  Deprecated.
  Gets the revision of the config header.
  Returns:
    the config header revision.
  See Also:
    `oracle.apps.cz.cio.Configuration.getConfigHeaderRevisionLong`

### getConfigHeaderUiDefinitionId

    public int getConfigHeaderUiDefinitionId()

  Gets the UI definition id in the config header.
  Returns:
    the config header UI definition id.

### getRootComponentDbId

    public int getRootComponentDbId()

  Gets the database id of the root component.
  Returns:
    the root component db id.

### getRootComponentPersistentId

    public int getRootComponentPersistentId()

  Gets the persistent id of the root component.
  Returns:
    the root component db id.

### getConfigHeaderDateCreated

    public java.sql.Timestamp getConfigHeaderDateCreated()

  Gets the date when the config header was creaed.
  Returns:
    the config header creation date.

### getConfigHeaderName

    public java.lang.String getConfigHeaderName()

  Gets the name of the config header.
  Returns:
    the config header name.

### getConfigHeaderDescription

    public java.lang.String getConfigHeaderDescription()

  Gets the description of the config header.
  Returns:
    the config header description.

### getConfigHeaderNote

    public java.lang.String getConfigHeaderNote()

  Gets the note of the config header.
  Returns:
    the config header note.

### getConfigHeaderCheckoutUser

    public java.lang.String getConfigHeaderCheckoutUser()

  Gets the user who has the config header checked out.
  Returns:
    the config header checkout user.

### getConfigHeaderEffectiveFrom

    public java.sql.Timestamp getConfigHeaderEffectiveFrom()

  Deprecated. Gets the date from which the config header is effective.
  Returns:
    the config header 'Effective From' date.

### getConfigHeaderEffectiveTo

    public java.sql.Timestamp getConfigHeaderEffectiveTo()

  Deprecated. Gets the date towhich the config header is effective.
  Returns:
    the config header 'Effective To' date.

### getConfigHeaderNumberQuotesUsedIn

    public int getConfigHeaderNumberQuotesUsedIn()

  Gets the config header number quotes used in.
  Returns:
    the config header number quotes used in.

### getConfigHeaderOpportunityHeaderId

    public int getConfigHeaderOpportunityHeaderId()

  Gets the opportunity header id of the config header .
  Returns:
    the config header opportunity header id.

### getConfigHeaderStatus

    public java.lang.String getConfigHeaderStatus()

  Gets the status of the config header.
  Returns:
    the config header status.

### getConfigHeaderUserIdCreated

    public int getConfigHeaderUserIdCreated()

  Gets the id of the user who created the config header.
  Returns:
    the config header user id created.

### getConfigHeaderLastUpdateDate

    public java.sql.Timestamp getConfigHeaderLastUpdateDate()

  Gets the date when the config header was last updated.
  Returns:
    the config header last update date.

### getEffectiveDate

    public java.util.Calendar getEffectiveDate()

  Gets the Effectivity Date of the config.
  Returns:
    the Effectivity Date of the config.

### getEffectiveUsageID

    public int getEffectiveUsageID()

  Gets the Effectivity Usage ID of the config.
  Returns:
    the Effectivity Usage ID of the config.

### setTimeEvent

    public void setTimeEvent(oracle.apps.cz.utilities.TimeEvent timer)

  Sets the timing object this session is to work with
  Parameters:
    `timer` - - A TimeEvent object

### getDeltaListIterator

    public Configuration.DeltaListIterator getDeltaListIterator()

### getUserRequests

    public com.sun.java.util.collections.List getUserRequests()

  Returns a list of user requests present in the configuration.
  Returns:
    List of Request objects
  See Also:
    `Request`

### getNonOverridableRequests

    public com.sun.java.util.collections.List getNonOverridableRequests()

  Returns a list of Non-Overridable requests present in the configuration.
  Returns:
    List of Request objects
  See Also:
    `Request`

### getInitialRequests

    public com.sun.java.util.collections.List getInitialRequests()

  Deprecated. As of 11.5.10, use `getNonOverridableRequests()`
  Returns a list of initial requests present in the configuration.
  Returns:
    List of Request objects
  See Also:
    `Request`

### getCurrencyFormat

    public java.text.DecimalFormat getCurrencyFormat()

  Returns the currency format object. Caller can call this method to get the format object to format prices for display after asking discounted Price or list price from configuration. Will return null if no price format info is returned from the pricing callback.

### getInputOrganizationId

    public int getInputOrganizationId()

### getInputInventoryItemId

    public int getInputInventoryItemId()

### getComponentByItemId

    public oracle.apps.cz.cio.Component getComponentByItemId(long itemId)

  Returns the Component corresponding to the given input ID.

### loadModelProperties

    public void loadModelProperties()

  load all properties associated with the current model

### hasInstalledRevisions

    public boolean hasInstalledRevisions()

  Returns true if this configuration has one or more instances with installed revisions

### isNetworkConfiguration

    public boolean isNetworkConfiguration()

  Returns true if this is a configuration on a network

### setEarlyNeighborhoodViolationDetection

    public boolean setEarlyNeighborhoodViolationDetection(boolean earlyDetect)

### getUserParameters

    public oracle.apps.cz.utilities.NameValuePairSet getUserParameters()

  Gets user-defined parameters, which are stored in a NameValuePairSet object.

### makeInstancesEditable

    public void makeInstancesEditable(com.sun.java.util.collections.Collection instances)
                               throws LogicalException

  Makes the collection of passed in instances editable. The instances could be passive, spoofed, or not loaded at all.
    `LogicalException`

### getInitParameters

    public oracle.apps.cz.utilities.NameValuePairSet getInitParameters()

  Deprecated. As of 11.5.9, use `getUserParameters`

### areAllChangesSaved

    public boolean areAllChangesSaved()

  Returns true if all changes made to this configuration have been saved in the database Returns false if there changes pending in this configuration that need to be saved

### setAllChangesSaved

    public void setAllChangesSaved(boolean clean)

  Allows the client to make the configuration to be "clean" or dirty" as needed. If true is passed the state of the configuraiton is set to "clean". Further functional companion or user activity that results in changes to the configuration will change the state back to "dirty". If false is passed the configuration will be "dirty" until the end of the configuration session or until a call to setAllChangesSaved(true) is made.

### dumpConfigTransactions

    public void dumpConfigTransactions()

### addConfigEventListener

    public void addConfigEventListener(oracle.apps.cz.cio.IConfigEventListener listener)

  Deprecated. use Configurator Extensions
  Add a listener that is notified when a component is added or deleted.

### removeConfigEventListener

    public void removeConfigEventListener(oracle.apps.cz.cio.IConfigEventListener listener)

  Deprecated. use Configurator Extensions
  Remove a listener that is notified when a component is added or deleted.

### addConfigurationEventListener

    public void addConfigurationEventListener(oracle.apps.cz.cio.IConfigurationEventListener listener)

  Deprecated. use Configurator Extensions
  Add a listener that is notified when an event occurs on a component

### removeConfigurationEventListener

    public void removeConfigurationEventListener(oracle.apps.cz.cio.IConfigurationEventListener listener)

  Deprecated. use Configurator Extensions
  Remove a listener that is notified when an event occurs on a component

### isPricingAvailable

    public boolean isPricingAvailable()

  Returns true if Pricing is turned on at the configuration.

### isListPricingAvailable

    public boolean isListPricingAvailable()

  Returns true if List pricing is turned on for this configuation session

### hasPriceAndATPDisabled

    public boolean hasPriceAndATPDisabled()

  Returns true if neither List Prices, Selling Prices, nor ATP is enabled in the configuration session.

### isDiscountPricingAvailable

    public boolean isDiscountPricingAvailable()

  Returns true if Discount price is turned on for this configuration session

### isExtendedPricingAvailable

    public boolean isExtendedPricingAvailable()

  Returns true if Discount price is turned on for this configuration session

### isAtpAvailable

    public boolean isAtpAvailable()

  Returns true if ATP is turned on in the configuration.

### getInitialBomQuantity

    public double getInitialBomQuantity()

  This method returns the initial quantity of the root BOM node The default is 0.

### isValid

    public boolean isValid()

  Returns true if the configuation is valid

### isComplete

    public boolean isComplete()

  Returns true if the configuation is satisfied

### isInSavePointTransaction

    public boolean isInSavePointTransaction()

  Returns true if the current transaction is part of a save point transaction

### getPricingNotifications

    public com.sun.java.util.collections.Map getPricingNotifications(boolean listPrice,
                                                                     boolean discountedPrice)

  This is used to get the pricing notifications on all currently selected nodes in the configuration.
  Parameters:
    `listPrice` - true if list pricing notifications are desired
  Returns:
    Map of runtime node to notifications (concatenated in a sinle String)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.